Docs
Analytics

One end user's activity

GET/analytics/people/{userId}Needsanalytics.view

What one identified user (the id your app passes to Cueston.identify()) saw and did. 404 when the workspace has never seen them.

Authorization

secretKey
headerAuthorizationBearer <sk_…>

A secret API key from Settings → API keys. It acts with its creator's role.

Path Parameters

userId*string

Your app's user id, URL-encoded.

Query Parameters

cursor?string

nextCursor from the previous page.

limit?integer

Page size, 1–200.

Range1 <= value <= 200
Default50

Response Body

OK

application/json
  1. response
person*
frequency*array<>
pages*array<>
events*array<>
nextCursor*string|null
Shell
curl -X GET 'https://app.cueston.com/api/analytics/people/string'
Example Response
JSON
{
  "person": {
    "userId": "user-123",
    "firstSeenAt": "2026-10-26T09:30:00Z",
    "lastSeenAt": "2026-10-26T09:30:00Z",
    "sessions": 0,
    "devices": null,
    "totals": {
      "impressions": 1840,
      "uniqueVisitors": 960,
      "completions": 412,
      "ctaClicks": 133,
      "dismissals": 210,
      "targetMissing": 3
    }
  },
  "frequency": [
    {
      "contentType": "tour",
      "contentId": 42,
      "name": "Onboarding tour",
      "views": 0,
      "firstSeenAt": "2026-10-26T09:30:00Z",
      "lastSeenAt": "2026-10-26T09:30:00Z",
      "completedAt": "2026-10-26T09:30:00Z",
      "dismissedAt": "2026-10-26T09:30:00Z"
    }
  ],
  "pages": [
    {
      "url": "https://app.acme.com/settings/billing",
      "events": 0,
      "lastSeenAt": "2026-10-26T09:30:00Z"
    }
  ],
  "events": [
    {}
  ],
  "nextCursor": "string"
}